<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1255">

<title>טוטו Extra 1X2 - תוכנת צמצום מהפכנית למילוי טוטו</title>

<meta name="KEYWORDS" content="טוטו, ווינר, וינר, טוטו עולמי, מילוי טוטו, המלצות טוטו, מומחים, צמצום, צימצום, תוכנת טוטו, כדורגל, הימורים, סטטיסטיקה, סטטיסטיקות טוטו, ליינים, יחסי הימור, שערי הימור">

<meta name="DESCRIPTION" content="תוכנת Extra 1X2 היא תוכנה חדשנית למלוי טפסי טוטו, אשר משפרת משמעותית את סיכויי הזכיה בהשואה לשיטות הקיימות.">

<style type="text/css">
<!--
.style2 {font-family: Arial, Helvetica, sans-serif}
.style4 {font-size: 10px}
.style5 {
	font-size: 24px;
	font-weight: bold;
	font-style: italic;
}
-->
</style>

</head>

<body class="style2" dir=rtl> 
  <table width="780" border="0" background="/images/yardtitle.gif" hspace="0" vspace="0" align="center"> 
    <tr> 
      <td height="38" colspan="2"><p>&nbsp;</p>    </td>
    </tr>
    <tr>
	  <td width="700" height="36" border="0" ><div align="center" class="style5"></div></td>
	  <td width="80" height="36" border="0"></td>
    </tr>
</table>
  <table width="780" border="1" align="center">
    <tr>
      <td width="774" bordercolor="#97E0F0">
        
<?php
$Email = $_REQUEST['Email'];
$Password = $_REQUEST['Password'];
$Password2 = $_REQUEST['Password2'];
$Nick = preg_replace("/'/", "", $_REQUEST['Nick']);
$date = date('Y-m-D'); 
echo $Nick;

$message = $_REQUEST['err'];

$ok = 1;

$dbusername = "ecusers";
$dbpassword = "toto1X2";
$dbhostname = "mysql281.secureserver.net:3306";	
$dbh = mysql_connect($dbhostname, $dbusername, $dbpassword) or die('Error Connecting');
$selected = mysql_select_db("ecusers",$dbh);

If ($Email == NULL)
{
	$message = $message."<BR>"."חובה לציין דואר אלקטרוני";
	$ok = 0;
}
Else
{
	$query1 = "SELECT Email FROM UsersTable WHERE Email='".$Email."'";
	$result1 = mysql_query($query1);
	$nres = mysql_num_rows($result1);
	if ($nres > 0)
	{
		$message = $message."<BR>"."יש כבר חשבון באתר לאימייל שנתת.";
		$ok = 0;
	}
	
	$has_shtrudel = 0;
	$is_bad = 0;
	for ($i = 0; $i < strlen($Email); $i++)
	{		
		if (substr($Email,$i,1) == "@")
		{
			$has_shtrudel = 1;
		}
		if (ord(substr($Email,$i,1)) >= 128) 
		{
			$is_bad = 0;
		}
	}
	
	if (($has_shtrudel == 0) or ($is_bad == 1))
	{
		$ok = 0;
		$message = $message."<BR>"."האימייל שסופק אינו תקין";
	}
}

If ($Nick == NULL) 
{
	$message = $message."<BR>"."יש לבחור כינוי";
	$ok = 0;
}
Else
{
	$query1 = "SELECT Nick FROM UsersTable WHERE Nick='".$Nick."'";
	$result1 = mysql_query($query1);
	$nres = mysql_num_rows($result1);
	if ($nres > 0)
	{
		$message = $message."<BR>"."הכינוי שבחרת תפוס";
		$ok = 0;
	}
}

If ($Password != $Password2) 
{
	$message = $message."<BR>"."הסיסמאות שהקשת אינן זהות";
	$ok = 0;
}

If (strlen($Password) < 4)
{
	$message = $message."<BR>"."סיסמה קצרה מדי.";
	$ok = 0;
}

If (strlen($Nick) < 2)
{
	$message = $message."<BR>"."הכינוי שבחרת קצר מדי";
	$ok = 0;
}

$is_bad = 0;
for ($i = 0; $i < strlen($Password); $i++)
	{
		if (ord(substr($Password,$i,1)) >= 128) 
		{
			$is_bad = 1;
		}
	}
	
if ($Nick==NULL)
{
	$message = "הכנס פרטים";
	$ok = 0;
}

if ($is_bad == 1)
{
	$message = $message."<BR>"."הסיסמה צריכה להכיל אותיות אנגליות וספרות בלבד.";
	$ok = 0;
}

	
If ($ok == 1)
{
	
	$NickHash = substr(sha1($Nick),0,24);
	$PassHash = substr(sha1($Password),0,24);

	$query1="INSERT INTO UsersTable ".
			"(Email, Password, Nick, RegDate, NickHash, PassHash) VALUES".
			"( '".$Email."', '', '".$Nick."', CURDATE(), '".$NickHash."', '".$PassHash."')";
	echo $query1.'<BR>';
	mysql_query($query1) or die("Failed Query of " . $query1);
		
	header('Location: siteregok.php?Email='.$Email.'&Nick='.$Nick);

}

mysql_close($dbh);

?>
<center>
<span style="font-size: 16px; font-weight: bold;">
<BR>
הרשמה
<BR><BR>
</span>
</center>
<form action="sitereg.php" method=POST>
        <div align="center">
		
		<? echo $message ?>

          <table>
            <tr>
              <td width="105">כינוי</td>
              <td width="277"><input type="text" maxlength=15 size=40 name="Nick" value=<? echo $Nick ?> ></td>
			  <td style="font-size: 10px" width="120">הכינוי בו תוצג למשתמשים אחרים (עד 16 תוים)</td>
            </tr>
		    <tr>
              <td width="105">אימייל</td>
              <td width="277"><input type="text" maxlength=38 size=40 name="Email" value=<? echo $Email ?> ></td>
			  <td style="font-size: 10px" width="120">דואר אלקטרוני תקף. כתובת זו תשמש לכניסה לאתר.</td>
            </tr>
		    <tr>
              <td width="105">סיסמה</td>
              <td width="277"><input type="password" maxlength=8 size=40 name="Password"></td>
			  <td style="font-size: 10px" width="120" rowspan="2">בחר סיסמה שתשמש לכניסה לאתר. (4-8 תוים)</td>
            </tr>
            <tr>
              <td>אימות סיסמה</td>
              <td><input type="password" maxlength=8 size=40 name="Password2"></td>
            </tr>
          </table>
		  <input type="submit" name="Register" value="הירשם עכשיו!" style="font-size: 17px; width: 150px">
        </div>
</form>

       </td>
    </tr>
    <tr>
      <td height="15" bordercolor="#97E0F0"><div align="center" class="style4">&copy; Extra Chance 2007</div></td>
    </tr>
  </table>

<p align="center">&nbsp;</p>
<p align="center">&nbsp;</p>
<p align="center">&nbsp;</p>
</body>
</html>
